DisplayLink Forum

DisplayLink Forum (https://displaylink.org/forum/index.php)
-   Linux and Open Source (https://displaylink.org/forum/forumdisplay.php?f=29)
-   -   Support Ubuntu 20.04 LTS (Focal Fossa) (https://displaylink.org/forum/showthread.php?t=67007)

Josemlp 03-06-2020 09:36 AM

Support Ubuntu 20.04 LTS (Focal Fossa)
 
I am try to install displaylink driver in Ubuntu 20.04 LTS (Focal Fossa)
(linux kernel 5.4.0-14-generic), but the instalation finish with the error:

Code:

make[1]: se sale del directorio '/usr/src/linux-headers-5.4.0-14-generic'
It planned some new release to fix this problems?
Thank! Regars

PilotPaul 03-11-2020 11:51 AM

With Ubuntu 20.04 due out in the next month, I would be most interested in beta testing any new drivers that support this release...

gvart 03-12-2020 04:48 PM

I'm facing same issue after upgrading from 19.10 to 20.04
Displays are not working anymore and I'm not able to use them at all.

For those who in the same situation, you can use an opensource drivers which worked for me https://github.com/AdnanHodzic/displaylink-debian

RobstaRobotard 03-19-2020 07:15 PM

Quote:

Originally Posted by gvart (Post 89477)
I'm facing same issue after upgrading from 19.10 to 20.04
Displays are not working anymore and I'm not able to use them at all.

For those who in the same situation, you can use an opensource drivers which worked for me https://github.com/AdnanHodzic/displaylink-debian

The displaylink-debian definitely installs focal based drivers (it shows as it installs):

During the installation it downloads from our friendly neighbourhood DisplayLink webpage:
Quote:

DisplayLink Linux Software 5.2.14 install script called: install
Distribution discovered: Ubuntu Focal Fossa (development branch)
The github page where you likely found displaylink-debian also mentions that it downloads from the displaylink site then does some patching and installing of items...

I'm still trying to iron out some things as am new to displaylink, but hope this helps...

djkajo 04-17-2020 09:00 PM

Same situation here, just upgraded to 20.04 and the secondary display stoped working, i use a thinkpad dock connected to the laptop and got it to work on Ubuntu 19 with the latest displaylink driver, now even reinstalling the driver it does not work.

I have tried the open source drivers advised here but even after following all the steps it does not work either.
Any update soon ?

ESSEDIA 04-23-2020 08:47 AM

Code:

Verifying archive integrity...  100%  All good.
Uncompressing DisplayLink Linux Driver 5.2.14  100% 
DisplayLink Linux Software 5.2.14 install script called: install
Distribution discovered: Ubuntu 20.04 LTS
Installing
Configuring EVDI DKMS module
Registering EVDI kernel module with DKMS
Building EVDI kernel module with DKMS
ERROR (code 3): Failed to build evdi/5.2.14. Consult /var/lib/dkms/evdi/5.2.14/build/make.log for details..

make.log:
Code:

DKMS make.log for evdi-5.2.14 for kernel 5.4.0-26-generic (x86_64)
gio 23 apr 2020, 10:41:26, CEST
make KBUILD_VERBOSE=1 SUBDIRS=/var/lib/dkms/evdi/5.2.14/build SRCROOT=/var/lib/dkms/evdi/5.2.14/build CONFIG_MODULE_SIG= -C /lib/modules/5.4.0-26-generic/build modules
make[1]: ingresso nella directory "/usr/src/linux-headers-5.4.0-26-generic"
make -f ./Makefile syncconfig
make -f ./scripts/Makefile.build obj=scripts/basic
rm -f .tmp_quiet_recordmcount
make -f ./scripts/Makefile.build obj=scripts/kconfig syncconfig
  flex -oscripts/kconfig/lexer.lex.c -L scripts/kconfig/lexer.l
/bin/sh: 1: flex: not found
make[3]: *** [scripts/Makefile.host:9: scripts/kconfig/lexer.lex.c] Error 127
make[3]: *** Attesa per i processi non terminati....
  bison -o scripts/kconfig/parser.tab.c --defines=scripts/kconfig/parser.tab.h -t -l scripts/kconfig/parser.y
/bin/sh: 1: bison: not found
make[3]: *** [scripts/Makefile.host:17: scripts/kconfig/parser.tab.h] Error 127
make[2]: *** [Makefile:594: syncconfig] Error 2
make[1]: *** [Makefile:704: include/config/auto.conf.cmd] Error 2
make[1]: uscita dalla directory "/usr/src/linux-headers-5.4.0-26-generic"
make: *** [Makefile:22: all] Error 2

also I have tried to install evdi-dkms from repository, but same output

ESSEDIA 04-24-2020 08:29 AM

1 Attachment(s)
Request support for Ubuntu 20.04
Here diagnostic tool output

willianmacedo 04-24-2020 12:38 PM

ubuntu 20.04 lts
 
in version 19.10 we already had the problem of disconnecting the displays eventually.

now in version 20.04 LTS general error in the driver.
Failed to build evdi / 5.2.14. Consult /var/lib/dkms/evdi/5.2.14/build/make.log for details ..

Janne 04-24-2020 04:41 PM

Quote:

Originally Posted by ESSEDIA (Post 89686)
Code:

Verifying archive integrity...  100%  All good.
Uncompressing DisplayLink Linux Driver 5.2.14  100% 
DisplayLink Linux Software 5.2.14 install script called: install
Distribution discovered: Ubuntu 20.04 LTS
Installing
Configuring EVDI DKMS module
Registering EVDI kernel module with DKMS
Building EVDI kernel module with DKMS
ERROR (code 3): Failed to build evdi/5.2.14. Consult /var/lib/dkms/evdi/5.2.14/build/make.log for details..

make.log:
Code:

DKMS make.log for evdi-5.2.14 for kernel 5.4.0-26-generic (x86_64)
gio 23 apr 2020, 10:41:26, CEST
make KBUILD_VERBOSE=1 SUBDIRS=/var/lib/dkms/evdi/5.2.14/build SRCROOT=/var/lib/dkms/evdi/5.2.14/build CONFIG_MODULE_SIG= -C /lib/modules/5.4.0-26-generic/build modules
make[1]: ingresso nella directory "/usr/src/linux-headers-5.4.0-26-generic"
make -f ./Makefile syncconfig
make -f ./scripts/Makefile.build obj=scripts/basic
rm -f .tmp_quiet_recordmcount
make -f ./scripts/Makefile.build obj=scripts/kconfig syncconfig
  flex -oscripts/kconfig/lexer.lex.c -L scripts/kconfig/lexer.l
/bin/sh: 1: flex: not found
make[3]: *** [scripts/Makefile.host:9: scripts/kconfig/lexer.lex.c] Error 127
make[3]: *** Attesa per i processi non terminati....
  bison -o scripts/kconfig/parser.tab.c --defines=scripts/kconfig/parser.tab.h -t -l scripts/kconfig/parser.y
/bin/sh: 1: bison: not found
make[3]: *** [scripts/Makefile.host:17: scripts/kconfig/parser.tab.h] Error 127
make[2]: *** [Makefile:594: syncconfig] Error 2
make[1]: *** [Makefile:704: include/config/auto.conf.cmd] Error 2
make[1]: uscita dalla directory "/usr/src/linux-headers-5.4.0-26-generic"
make: *** [Makefile:22: all] Error 2

also I have tried to install evdi-dkms from repository, but same output

If you look into the log you can see the flex command is not installed, install by

Code:

sudo aprt-get install flex
But next you will get an new problem and another and it will fail anyhow.

An option I used is https://www.displaylink.com/downloads/file?id=1369 it possible to run and get DisplayLink to work for 20.04 version.

polrus 04-24-2020 06:02 PM

I have the same issue

I installed flex, bison, libelf-dev
but still the installation fails.

I bought 3 x displaylink devices last week - pls support and update the driver for the newest kernel

Also it is a shame that in 2020 and Ubuntu 20.04 installation instruction is dated 2014 and mentiones ubuntu 14 :/
Quote:

cat /dev/null ) > arch/x86/platform/uv/modules.builtin
(for m in ; do echo $m; done; \
cat /dev/null arch/x86/platform/atom/modules.builtin arch/x86/platform/ce4100/modules.builtin arch/x86/platform/efi/modules.builtin arch/x86/platform/geode/modules.builtin arch/x86/platform/goldfish/modules.builtin arch/x86/platform/intel/modules.builtin arch/x86/platform/intel-mid/modules.builtin arch/x86/platform/intel-quark/modules.builtin arch/x86/platform/iris/modules.builtin arch/x86/platform/olpc/modules.builtin arch/x86/platform/scx200/modules.builtin arch/x86/platform/sfi/modules.builtin arch/x86/platform/ts5500/modules.builtin arch/x86/platform/uv/modules.builtin) > arch/x86/platform/modules.builtin
(for m in ; do echo $m; done; \
cat /dev/null arch/x86/crypto/modules.builtin arch/x86/entry/modules.builtin arch/x86/events/modules.builtin arch/x86/ia32/modules.builtin arch/x86/kernel/modules.builtin arch/x86/mm/modules.builtin arch/x86/net/modules.builtin arch/x86/platform/modules.builtin arch/x86/platform/pvh/modules.builtin arch/x86/purgatory/modules.builtin arch/x86/realmode/modules.builtin arch/x86/xen/modules.builtin) > arch/x86/modules.builtin
make[1]: Leaving directory '/usr/src/linux-headers-5.4.0-26-generic'
make: *** [Makefile:22: all] Error 2


All times are GMT. The time now is 11:09 PM.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2020, vBulletin Solutions, Inc.